## libkcddb 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

project(libkcddb VERSION "5.0.0")

set(QT_MIN_VERSION 5.15.0)
set(KF_MIN_VERSION 5.80.0)

# ECM setup
include(FeatureSummary)
find_package(ECM ${KF_MIN_VERSION}  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
set(CMAKE_MODULE_PATH "${ECM_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(CMakePackageConfigHelpers)
include(ECMGenerateHeaders)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Network Widgets)
find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS Config DocTools I18n KIO WidgetsAddons)

find_package(MusicBrainz5)
set_package_properties(MusicBrainz5 PROPERTIES
   DESCRIPTION "Music metadata lookup for KDE multimedia applications through libkcddb. You need version 5.x of libmusicbrainz"
   URL "https://www.musicbrainz.org"
   TYPE OPTIONAL
   PURPOSE "A library that provides access to metadata lookup on the MusicBrainz server")

if(MUSICBRAINZ5_FOUND)
    set(HAVE_MUSICBRAINZ5 1)
else()
    set(HAVE_MUSICBRAINZ5 0)
endif()

add_definitions(
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_KEYWORDS
    -DQT_NO_FOREACH
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
    -DQT_STRICT_ITERATORS
)

configure_file(config-musicbrainz.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-musicbrainz.h )
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(kcmcddb)
add_subdirectory(libkcddb)

if(BUILD_TESTING)
    find_package(Qt5Test REQUIRED)
    add_subdirectory(tests)
endif()

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== libkcddb/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="libkcddb")

set(KCDDB_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR_KF5}/KCddb")
set(KCDDB_CMAKECONFIG_NAME "KF5Cddb")

ecm_setup_version(${libkcddb_VERSION}
    VARIABLE_PREFIX KCDDB
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kcddb_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/${KCDDB_CMAKECONFIG_NAME}ConfigVersion.cmake"
    SOVERSION 5
)

add_library(KCddb SHARED)
add_library(KF5::Cddb ALIAS KCddb)

if(MUSICBRAINZ5_FOUND)
    set(musicbrainz_sources
       musicbrainz/musicbrainzlookup.cpp
       musicbrainz/asyncmusicbrainzlookup.cpp)

    if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC" OR (WIN32 AND "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel"))
        set(enable_exceptions -EHsc)
    elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
        set(enable_exceptions "-fexceptions -UQT_NO_EXCEPTIONS")
    elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel")
        set(enable_exceptions -fexceptions)
    endif()

    set_source_files_properties(${musicbrainz_sources} PROPERTIES COMPILE_FLAGS ${enable_exceptions})
endif()

kconfig_add_kcfg_files(KCddb configbase.kcfgc)

ecm_qt_declare_logging_category(KCddb
    HEADER logging.h
    IDENTIFIER LIBKCDDB
    CATEGORY_NAME "libkcddb"
    DESCRIPTION "libkcddb"
    EXPORT KCDDB
)

target_sources(KCddb PRIVATE
    cache.cpp
    cdinfo.cpp
    kcddbconfig.cpp
    client.cpp
    kcddb.cpp
    cddb.cpp
    lookup.cpp
    cddbplookup.cpp
    synccddbplookup.cpp
    asynccddbplookup.cpp
    httplookup.cpp
    synchttplookup.cpp
    asynchttplookup.cpp
    smtpsubmit.cpp
    asyncsmtpsubmit.cpp
    syncsmtpsubmit.cpp
    submit.cpp
    sites.cpp
    httpsubmit.cpp
    asynchttpsubmit.cpp
    synchttpsubmit.cpp
    categories.cpp
    genres.cpp
    ${musicbrainz_sources}
)

target_link_libraries(KCddb
    PUBLIC
        KF5::ConfigGui
    PRIVATE
        KF5::I18n
        KF5::KIOCore
        Qt5::Network
)

if(MUSICBRAINZ5_FOUND)
    target_link_libraries(KCddb PRIVATE musicbrainz)
endif()

generate_export_header(KCddb BASE_NAME KCddb)
target_include_directories(KCddb
    PUBLIC
        "$<INSTALL_INTERFACE:${KCDDB_INSTALL_INCLUDEDIR}>"
)

set_target_properties(KCddb PROPERTIES
    VERSION ${KCDDB_VERSION}
    SOVERSION ${KCDDB_SOVERSION}
    OUTPUT_NAME KF5Cddb
    EXPORT_NAME Cddb
)

ecm_generate_headers(KCddb_HEADERS
    HEADER_NAMES
        Categories
        Cdinfo
        Client
        Genres
        KcddbConfig
        Kcddb
    REQUIRED_HEADERS KCddb_HEADERS
)

install(TARGETS KCddb EXPORT KCddbTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kcddb_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/configbase.h
    ${KCddb_HEADERS}
    DESTINATION ${KCDDB_INSTALL_INCLUDEDIR}
    COMPONENT Devel
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/kcddb_version.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF5}"
    COMPONENT Devel
)

install(FILES libkcddb5.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ecm_qt_install_logging_categories(
    EXPORT KCDDB
    FILE libkcddb.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/${KCDDB_CMAKECONFIG_NAME}")
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/${KCDDB_CMAKECONFIG_NAME}Config.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/${KCDDB_CMAKECONFIG_NAME}Config.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/${KCDDB_CMAKECONFIG_NAME}Config.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/${KCDDB_CMAKECONFIG_NAME}ConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KCddbTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE ${KCDDB_CMAKECONFIG_NAME}Targets.cmake
    NAMESPACE KF5::
    COMPONENT Devel
)

include(ECMGeneratePriFile)
ecm_generate_pri_file(
    BASE_NAME KCddb
    LIB_NAME KF5Cddb
    DEPS "Qt5Widgets"
    FILENAME_VAR PRI_FILENAME
    INCLUDE_INSTALL_DIR ${KCDDB_INSTALL_INCLUDEDIR}
)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== tests/CMakeLists.txt ===
function(add_unit_tests)
    foreach(test ${ARGN})
        add_executable(${test} ${test}.cpp)
        add_test(NAME ${test} COMMAND ${test})
        target_link_libraries(${test} Qt5::Test KF5::Cddb)
        target_include_directories(${test}
            PRIVATE ${CMAKE_SOURCE_DIR} # for libkcddb/ prefixed includes of library headers
        )
    endforeach()
endfunction()

add_unit_tests(
    asynchttplookuptest
    asynccddblookuptest
    synccddblookuptest
    synchttplookuptest
    utf8test
    musicbrainztest
    asyncmusicbrainztest
    cdinfotest
    cachetest
    musicbrainztest-severaldiscs
    musicbrainztest-fulldate
    syncsmtpsubmittest
    asyncsmtpsubmittest
    asynchttpsubmittest
    synchttpsubmittest
    sitestest)

=== debian/changelog ===
libkcddb (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:17:50 +0000

libkcddb (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:24:25 +0000

libkcddb (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:32:14 +0000

libkcddb (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:29:20 +0000

libkcddb (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:24:35 +0000

libkcddb (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:31:47 +0000

libkcddb (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:46:59 +0000

=== debian/control ===
Source: libkcddb
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.24.0~),
               gettext,
               libkf5codecs-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5doctools-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5kio-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               libmusicbrainz5-dev (>= 5.1.0+git20150707~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/multimedia/libkcddb
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcddb
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcddb

Package: kde-config-cddb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: CDDB retrieval configuration
 This package contains a configuration module for tweaking CDDB retrieval
 settings for applications using the libkcddb library from the KDE Multimedia
 Platform.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddb-dev
Section: libdevel
Architecture: any
Depends: libkf5cddb5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
Multi-Arch: same
Description: CDDB library for KDE Platform (development)
 The KDE Compact Disc DataBase library provides an API for KDE applications
 to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddb5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5cddb-data (<< 4:20.04.3-1~)
Replaces: libkf5cddb-data (<< 4:20.04.3-1~)
Description: CDDB library for KDE Platform (runtime)
 The KDE Compact Disc DataBase library provides an API for applications using
 the KDE Platform to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

## libkcddb 22.08.1

=== debian/changelog ===
libkcddb (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:47:03 +0100

libkcddb (4:22.08.0-0ubuntu2) kinetic; urgency=medium

  * No change rebuild.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 11:59:03 +0100

libkcddb (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:56:17 +0100

libkcddb (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:34:12 +0100

libkcddb (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:08:50 +0100

libkcddb (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:07:59 +0100

libkcddb (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:55:17 +0100

## libkcddb 22.12.3

=== kcmcddb/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="libkcddb")

add_subdirectory(doc)

add_library(kcm_cddb MODULE)

ki18n_wrap_ui(kcm_cddb cddbconfigwidget.ui)

target_sources(kcm_cddb PRIVATE
    cddbconfigwidget.cpp
    kcmcddb.cpp
)

set_source_files_properties(cddbconfigwidget.cpp PROPERTIES OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/ui_cddbconfigwidget.h)

target_link_libraries(kcm_cddb PRIVATE
    KF5::ConfigWidgets
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::WidgetsAddons
    KF5::Cddb
)
target_include_directories(kcm_cddb
    PRIVATE ${CMAKE_SOURCE_DIR} # for libkcddb/ prefixed includes of library headers
)

install(TARGETS kcm_cddb DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES libkcddb.desktop  DESTINATION  ${KDE_INSTALL_KSERVICESDIR})

=== libkcddb/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 add_definitions(-DTRANSLATION_DOMAIN="libkcddb")
 
-set(KCDDB_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR_KF5}/KCddb")
+set(KCDDB_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KCddb${QT_MAJOR_VERSION}")
 set(KCDDB_CMAKECONFIG_NAME "KF5Cddb")
 
 ecm_setup_version(${libkcddb_VERSION}
@@ -42,7 +42,7 @@
 target_sources(KCddb PRIVATE
     cache.cpp
     cdinfo.cpp
-    kcddbconfig.cpp
+    config.cpp
     client.cpp
     kcddb.cpp
     cddb.cpp
@@ -72,14 +72,25 @@
     PRIVATE
         KF5::I18n
         KF5::KIOCore
-        Qt5::Network
-)
+        Qt${QT_MAJOR_VERSION}::Network
+)
+
+if (TARGET Qt6::Core5Compat)
+    target_link_libraries(KCddb PRIVATE Qt6::Core5Compat)
+endif()
 
 if(MUSICBRAINZ5_FOUND)
     target_link_libraries(KCddb PRIVATE musicbrainz)
 endif()
 
-generate_export_header(KCddb BASE_NAME KCddb)
+ecm_generate_export_header(KCddb
+    BASE_NAME KCddb
+    VERSION ${KCDDB_VERSION}
+    DEPRECATED_BASE_VERSION 5.0.0
+    DEPRECATION_VERSIONS 5.1
+    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
+)
+
 target_include_directories(KCddb
     PUBLIC
         "$<INSTALL_INTERFACE:${KCDDB_INSTALL_INCLUDEDIR}>"
@@ -92,32 +103,80 @@
     EXPORT_NAME Cddb
 )
 
-ecm_generate_headers(KCddb_HEADERS
+ecm_generate_headers(KCddb_CamelCase_HEADERS
     HEADER_NAMES
         Categories
-        Cdinfo
+        CDInfo
         Client
         Genres
-        KcddbConfig
-        Kcddb
+        Config
+        KCDDB
+    PREFIX KCDDB
     REQUIRED_HEADERS KCddb_HEADERS
 )
 
-install(TARGETS KCddb EXPORT KCddbTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS KCddb EXPORT KCddbTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
 
 install(FILES
     ${CMAKE_CURRENT_BINARY_DIR}/kcddb_export.h
     ${CMAKE_CURRENT_BINARY_DIR}/configbase.h
     ${KCddb_HEADERS}
-    DESTINATION ${KCDDB_INSTALL_INCLUDEDIR}
+    DESTINATION ${KCDDB_INSTALL_INCLUDEDIR}/kcddb # C++ namespace prefix
+    COMPONENT Devel
+)
+
+install(FILES
+    ${KCddb_CamelCase_HEADERS}
+    DESTINATION ${KCDDB_INSTALL_INCLUDEDIR}/KCDDB # C++ namespace prefix
     COMPONENT Devel
 )
 
 install(FILES
     "${CMAKE_CURRENT_BINARY_DIR}/kcddb_version.h"
-    DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF5}"
-    COMPONENT Devel
-)
+    DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}"
+    COMPONENT Devel
+)
+
+# provide compat headers for old broken include path prefix KCddb/
+if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
+   EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.1.0)
+    function(generate_compat_headers)
+        foreach(_classnameentry ${ARGV})
+            string(REPLACE "," ";" _classnames ${_classnameentry})
+            list(GET _classnames 0 classname)
+            list(GET _classnames -1 newclassname) # last is either second or the only one
+
+            string(TOLOWER ${classname} classname_lc)
+            string(TOLOWER ${newclassname} newclassname_lc)
+            set(NEWHEADER_NAME "${newclassname_lc}.h")
+            # normal header
+            set(compat_header "${CMAKE_CURRENT_BINARY_DIR}/compat/${classname_lc}.h")
+            set(NEW_INCLUDE "kcddb/${NEWHEADER_NAME}")
+            configure_file(compatheader.h.in ${compat_header} @ONLY)
+            install(FILES ${compat_header}
+                DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCddb
+                COMPONENT Devel
+            )
+            # CamelCase header
+            set(compat_header "${CMAKE_CURRENT_BINARY_DIR}/compat/${classname}")
+            set(NEW_INCLUDE "KCDDB/${newclassname}")
+            configure_file(compatheader.h.in ${compat_header} @ONLY)
+            install(FILES ${compat_header}
+                DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCddb
+                COMPONENT Devel
+            )
+        endforeach()
+    endfunction()
+
+    generate_compat_headers(
+        Categories
+        Cdinfo,CDInfo
+        Client
+        Genres
+        KcddbConfig,Config
+        Kcddb,KCDDB
+    )
+endif()
 
 install(FILES libkcddb5.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
 
@@ -152,7 +211,7 @@
 ecm_generate_pri_file(
     BASE_NAME KCddb
     LIB_NAME KF5Cddb
-    DEPS "Qt5Widgets"
+    DEPS "KConfigGui"
     FILENAME_VAR PRI_FILENAME
     INCLUDE_INSTALL_DIR ${KCDDB_INSTALL_INCLUDEDIR}
 )

=== debian/changelog ===
libkcddb (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:02 +0100

libkcddb (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:40:00 +0100

libkcddb (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:57 +0100

libkcddb (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:06 +0100

libkcddb (4:22.08.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 05 Oct 2022 16:38:39 +0200

libkcddb (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 06 Apr 2022 22:20:10 +0200

=== debian/control ===
Source: libkcddb
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5codecs-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libmusicbrainz5-dev (>= 5.1.0+git20150707~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/multimedia/libkcddb
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkcddb
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkcddb.git

Package: kde-config-cddb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: CDDB retrieval configuration
 This package contains a configuration module for tweaking CDDB retrieval
 settings for applications using the libkcddb library from the KDE Multimedia
 Platform.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddb-dev
Section: libdevel
Architecture: any
Depends: libkf5cddb5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Multi-Arch: same
Description: CDDB library for KDE Platform (development)
 The KDE Compact Disc DataBase library provides an API for KDE applications
 to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddb5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: CDDB library for KDE Platform (runtime)
 The KDE Compact Disc DataBase library provides an API for applications using
 the KDE Platform to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

## libkcddb 23.08.0

=== debian/changelog ===
libkcddb (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:00:28 +0100

libkcddb (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * Update symbols.
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:39:55 +0100

libkcddb (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:55:50 +0100

libkcddb (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Add libkf5kcmutils-dev to Build-Depends
  * Update installed files
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:02:05 +0100

libkcddb (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:44:43 +0000

libkcddb (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:27:33 -0600

libkcddb (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:20:35 +0000

libkcddb (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Breaks/Replaces for Kubuntu version history.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Dec 2022 13:24:43 +0000

libkcddb (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:16:29 +0000

libkcddb (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:12:40 +0000

libkcddb (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:55:28 +0000

libkcddb (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:15:30 +0000

## libkcddb 23.08.1

=== debian/changelog ===
libkcddb (4:23.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.1).
  * Update list of installed files from build logs.
  * Update symbols file.
  * Update build-deps with info from cmake.

 -- Jesse Rhodes <jesse@sney.ca>  Thu, 12 Oct 2023 15:50:27 -0400

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,15 @@
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.90.0~),
+               extra-cmake-modules (>= 5.92.0~),
                gettext,
-               libkf5codecs-dev (>= 5.24.0~),
-               libkf5config-dev (>= 5.90.0~),
-               libkf5doctools-dev (>= 5.90.0~),
-               libkf5i18n-dev (>= 5.90.0~),
-               libkf5kio-dev (>= 5.90.0~),
-               libkf5widgetsaddons-dev (>= 5.90.0~),
+               libkf5codecs-dev (>= 5.92.0~),
+               libkf5config-dev (>= 5.92.0~),
+               libkf5doctools-dev (>= 5.92.0~),
+               libkf5i18n-dev (>= 5.92.0~),
+               libkf5kcmutils-dev (>= 5.92.0~),
+               libkf5kio-dev (>= 5.92.0~),
+               libkf5widgetsaddons-dev (>= 5.92.0~),
                libmusicbrainz5-dev (>= 5.1.0+git20150707~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),

## libkcddb 23.08.4

=== debian/changelog ===
libkcddb (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:21:39 +0000

libkcddb (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:42:03 +0000

libkcddb (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:37:56 +0100

libkcddb (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:05:26 +0100

## libkcddb 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

project(libkcddb VERSION "5.1.0")

set(QT_MIN_VERSION 5.15.2)
set(KF_MIN_VERSION 5.92.0)

# ECM setup
include(FeatureSummary)
find_package(ECM ${KF_MIN_VERSION}  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
set(CMAKE_MODULE_PATH "${ECM_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(CMakePackageConfigHelpers)
include(ECMGenerateHeaders)
include(ECMDeprecationSettings)
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

# reset to 0 once all deprecated API has been removed on full switch to Qt6
if (QT_MAJOR_VERSION STREQUAL "6")
set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 5.1.0 CACHE STRING "Control the range of deprecated API excluded from the build [default=5.1.0].")
else()
set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
endif()

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Network Widgets)
find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Config DocTools I18n KIO WidgetsAddons KCMUtils)
if (QT_MAJOR_VERSION STREQUAL 6)
    find_package(Qt6 REQUIRED COMPONENTS Core5Compat)
endif()
find_package(MusicBrainz5)
set_package_properties(MusicBrainz5 PROPERTIES
   DESCRIPTION "Music metadata lookup for KDE multimedia applications through libkcddb. You need version 5.x of libmusicbrainz"
   URL "https://www.musicbrainz.org"
   TYPE OPTIONAL
   PURPOSE "A library that provides access to metadata lookup on the MusicBrainz server")

if(MUSICBRAINZ5_FOUND)
    set(HAVE_MUSICBRAINZ5 1)
else()
    set(HAVE_MUSICBRAINZ5 0)
endif()

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.101
)

configure_file(config-musicbrainz.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-musicbrainz.h )
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(kcmcddb)
add_subdirectory(libkcddb)

if(BUILD_TESTING)
    find_package(Qt${QT_MAJOR_VERSION}Test REQUIRED)
    add_subdirectory(tests)
endif()

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== libkcddb/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,11 @@
 add_definitions(-DTRANSLATION_DOMAIN="libkcddb")
 
 set(KCDDB_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KCddb${QT_MAJOR_VERSION}")
-set(KCDDB_CMAKECONFIG_NAME "KF5Cddb")
+if (KF_MAJOR_VERSION STREQUAL "5")
+    set(KCDDB_CMAKECONFIG_NAME "KF5Cddb")
+else()
+    set(KCDDB_CMAKECONFIG_NAME "KCddb6")
+endif()
 
 ecm_setup_version(${libkcddb_VERSION}
     VARIABLE_PREFIX KCDDB
@@ -11,12 +15,33 @@
 )
 
 add_library(KCddb SHARED)
-add_library(KF5::Cddb ALIAS KCddb)
+if (KF_MAJOR_VERSION STREQUAL "5")
+    add_library(KF5::Cddb ALIAS KCddb)
+else()
+    add_library(KCddb6 ALIAS KCddb)
+endif()
+
+if (KF_MAJOR_VERSION STREQUAL "5")
+    set_target_properties(KCddb PROPERTIES
+        VERSION     ${KCDDB_VERSION}
+        SOVERSION   ${KCDDB_SOVERSION}
+        OUTPUT_NAME KF${KF_MAJOR_VERSION}Cddb
+        EXPORT_NAME Cddb
+    )
+else()
+    set_target_properties(KCddb PROPERTIES
+        VERSION     ${KCDDB_VERSION}
+        SOVERSION   ${KCDDB_SOVERSION}
+        OUTPUT_NAME KCddb6
+        EXPORT_NAME KCddb6
+    )
+endif()
+
 
 if(MUSICBRAINZ5_FOUND)
     set(musicbrainz_sources
        musicbrainz/musicbrainzlookup.cpp
-       musicbrainz/asyncmusicbrainzlookup.cpp)
+       musicbrainz/asyncmusicbrainzlookup.cpp musicbrainz/asyncmusicbrainzlookup.h)
 
     if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC" OR (WIN32 AND "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel"))
         set(enable_exceptions -EHsc)
@@ -40,38 +65,35 @@
 )
 
 target_sources(KCddb PRIVATE
-    cache.cpp
-    cdinfo.cpp
-    config.cpp
-    client.cpp
-    kcddb.cpp
+    cache.cpp cache.h
+    cdinfo.cpp cdinfo.h
+    config.cpp config.h
+    client.cpp client.h
+    kcddb.cpp kcddb.h
     cddb.cpp
     lookup.cpp
-    cddbplookup.cpp
-    synccddbplookup.cpp
-    asynccddbplookup.cpp
-    httplookup.cpp
+    cddbplookup.cpp cddbplookup.h
+    synccddbplookup.cpp synccddbplookup.h
+    asynccddbplookup.cpp asynccddbplookup.h
+    httplookup.cpp httplookup.h
     synchttplookup.cpp
-    asynchttplookup.cpp
-    smtpsubmit.cpp
-    asyncsmtpsubmit.cpp
-    syncsmtpsubmit.cpp
+    asynchttplookup.cpp asynchttplookup.h
     submit.cpp
-    sites.cpp
+    sites.cpp sites.h
     httpsubmit.cpp
-    asynchttpsubmit.cpp
+    asynchttpsubmit.cpp asynchttpsubmit.h
     synchttpsubmit.cpp
-    categories.cpp
-    genres.cpp
+    categories.cpp categories.h
+    genres.cpp genres.h
     ${musicbrainz_sources}
 )
 
 target_link_libraries(KCddb
     PUBLIC
-        KF5::ConfigGui
+        KF${KF_MAJOR_VERSION}::ConfigGui
     PRIVATE
-        KF5::I18n
-        KF5::KIOCore
+        KF${KF_MAJOR_VERSION}::I18n
+        KF${KF_MAJOR_VERSION}::KIOCore
         Qt${QT_MAJOR_VERSION}::Network
 )
 
@@ -81,6 +103,18 @@
 
 if(MUSICBRAINZ5_FOUND)
     target_link_libraries(KCddb PRIVATE musicbrainz)
+endif()
+
+if (QT_MAJOR_VERSION STREQUAL "5")
+    set(_generate_export_header_version_args)
+else()
+    # For Qt6/KF6 world transitively include the version header
+    if(ECM_VERSION VERSION_LESS "5.106")
+        set(include_version_header_code "#include <kcddb_version.h>\n")
+        set(_generate_export_header_version_args CUSTOM_CONTENT_FROM_VARIABLE include_version_header_code)
+    else()
+        set(_generate_export_header_version_args USE_VERSION_HEADER)
+    endif()
 endif()
 
 ecm_generate_export_header(KCddb
@@ -89,18 +123,12 @@
     DEPRECATED_BASE_VERSION 5.0.0
     DEPRECATION_VERSIONS 5.1
     EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
+    ${_generate_export_header_version_args}
 )
 
 target_include_directories(KCddb
     PUBLIC
         "$<INSTALL_INTERFACE:${KCDDB_INSTALL_INCLUDEDIR}>"
-)
-
-set_target_properties(KCddb PROPERTIES
-    VERSION ${KCDDB_VERSION}
-    SOVERSION ${KCDDB_SOVERSION}
-    OUTPUT_NAME KF5Cddb
-    EXPORT_NAME Cddb
 )
 
 ecm_generate_headers(KCddb_CamelCase_HEADERS
@@ -115,7 +143,11 @@
     REQUIRED_HEADERS KCddb_HEADERS
 )
 
-install(TARGETS KCddb EXPORT KCddbTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
+if (KF_MAJOR_VERSION STREQUAL "6")
+    install(TARGETS KCddb EXPORT KCddbTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
+else()
+    install(TARGETS KCddb EXPORT KCddbTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
+endif()
 
 install(FILES
     ${CMAKE_CURRENT_BINARY_DIR}/kcddb_export.h
@@ -133,10 +165,15 @@
 
 install(FILES
     "${CMAKE_CURRENT_BINARY_DIR}/kcddb_version.h"
-    DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}"
-    COMPONENT Devel
-)
-
+    DESTINATION "${KCDDB_INSTALL_INCLUDEDIR}"
+    COMPONENT Devel
+)
+
+if (KF_MAJOR_VERSION STREQUAL "5")
+    set(KCDDB_INCLUDE_DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}/KCddb")
+else()
+    set(KCDDB_INCLUDE_DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KCddb6")
+endif()
 # provide compat headers for old broken include path prefix KCddb/
 if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
    EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.1.0)
@@ -154,7 +191,7 @@
             set(NEW_INCLUDE "kcddb/${NEWHEADER_NAME}")
             configure_file(compatheader.h.in ${compat_header} @ONLY)
             install(FILES ${compat_header}
-                DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCddb
+                DESTINATION ${KCDDB_INCLUDE_DESTINATION}
                 COMPONENT Devel
             )
             # CamelCase header
@@ -162,7 +199,7 @@
             set(NEW_INCLUDE "KCDDB/${newclassname}")
             configure_file(compatheader.h.in ${compat_header} @ONLY)
             install(FILES ${compat_header}
-                DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCddb
+                DESTINATION ${KCDDB_INCLUDE_DESTINATION}
                 COMPONENT Devel
             )
         endforeach()
@@ -200,17 +237,30 @@
     COMPONENT Devel
 )
 
-install(EXPORT KCddbTargets
-    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-    FILE ${KCDDB_CMAKECONFIG_NAME}Targets.cmake
-    NAMESPACE KF5::
-    COMPONENT Devel
-)
+if (KF_MAJOR_VERSION STREQUAL "6")
+    install(EXPORT KCddbTargets
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        FILE ${KCDDB_CMAKECONFIG_NAME}Targets.cmake
+        COMPONENT Devel
+    )
+else()
+    install(EXPORT KCddbTargets
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        FILE ${KCDDB_CMAKECONFIG_NAME}Targets.cmake
+        NAMESPACE KF5::
+        COMPONENT Devel
+    )
+endif()
 
 include(ECMGeneratePriFile)
+if (KF_MAJOR_VERSION STREQUAL "5")
+    set(KCDDB_LIB_NAME KF${KF_MAJOR_VERSION}Cddb)
+else()
+    set(KCDDB_LIB_NAME libKCddb6)
+endif()
 ecm_generate_pri_file(
     BASE_NAME KCddb
-    LIB_NAME KF5Cddb
+    LIB_NAME ${KCDDB_LIB_NAME}
     DEPS "KConfigGui"
     FILENAME_VAR PRI_FILENAME
     INCLUDE_INSTALL_DIR ${KCDDB_INSTALL_INCLUDEDIR}

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
     foreach(test ${ARGN})
         add_executable(${test} ${test}.cpp)
         add_test(NAME ${test} COMMAND ${test})
-        target_link_libraries(${test} Qt5::Test KF5::Cddb)
+        target_link_libraries(${test} Qt${QT_MAJOR_VERSION}::Test KCddb)
         target_include_directories(${test}
             PRIVATE ${CMAKE_SOURCE_DIR} # for libkcddb/ prefixed includes of library headers
         )
@@ -21,8 +21,6 @@
     cachetest
     musicbrainztest-severaldiscs
     musicbrainztest-fulldate
-    syncsmtpsubmittest
-    asyncsmtpsubmittest
     asynchttpsubmittest
     synchttpsubmittest
     sitestest)

=== debian/changelog ===
libkcddb (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:51:00 +0000

libkcddb (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:35:07 +0000

libkcddb (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:21:54 -0700

=== debian/control ===
Source: libkcddb
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5codecs-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kcmutils-dev,
               libkf5kio-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libmusicbrainz5-dev (>= 5.1.0+git20150707~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/multimedia/libkcddb
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcddb
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcddb

Package: kde-config-cddb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: CDDB retrieval configuration
 This package contains a configuration module for tweaking CDDB retrieval
 settings for applications using the libkcddb library from the KDE Multimedia
 Platform.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddb-dev
Section: libdevel
Architecture: any
Depends: libkf5cddb5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Multi-Arch: same
Description: CDDB library for KDE Platform (development)
 The KDE Compact Disc DataBase library provides an API for KDE applications
 to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: libkf5cddb5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5cddb-data (<< 4:20.04.3-1~)
Replaces: libkf5cddb-data (<< 4:20.04.3-1~)
Description: CDDB library for KDE Platform (runtime)
 The KDE Compact Disc DataBase library provides an API for applications using
 the KDE Platform to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_gencontrol: libpkgs_gen_strict_local_shlibs
	dh_gencontrol

## libkcddb 24.08.2

=== debian/changelog ===
libkcddb (4:24.08.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.2)
  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 03 Nov 2024 14:11:15 +0000

libkcddb (4:24.08.1-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add Breaks/Replaces against libkf5cddb5.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 02 Oct 2024 18:50:59 +0200

libkcddb (4:24.08.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.1).
  * Switch build to Qt6, update build-deps and deps with the info
    from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Switch to declarative KF6 debhelper build sequence.
  * Make kde-config-cddb depend on systemsettings and add lintian
    override for the command not being in the same package.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 02 Oct 2024 00:01:17 +0200

## libkcddb 24.12.0

=== debian/changelog ===
libkcddb (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 23:47:38 +0100

=== debian/control ===
Source: libkcddb
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 5.92.0~),
               gettext,
               libkf6config-dev (>= 5.240.0~),
               libkf6doctools-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6kcmutils-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libmusicbrainz5-dev (>= 5.1.0+git20150707~),
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/multimedia/libkcddb
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkcddb
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkcddb.git

Package: kde-config-cddb
Architecture: any
Depends: systemsettings,
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: CDDB retrieval configuration
 This package contains a configuration module for tweaking CDDB retrieval
 settings for applications using the libkcddb library from the KDE Multimedia
 Platform.
 .
 This package is part of the KDE multimedia module.

Package: libkcddb6-dev
Section: libdevel
Architecture: any
Depends: libkcddb6-5 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0~),
         ${misc:Depends},
Multi-Arch: same
Description: CDDB library for KDE Platform (development)
 The KDE Compact Disc DataBase library provides an API for KDE applications
 to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

Package: libkcddb6-5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5cddb5,
Replaces: libkf5cddb5,
Description: CDDB library for KDE Platform (runtime)
 The KDE Compact Disc DataBase library provides an API for applications using
 the KDE Platform to fetch and submit audio CD information over the Internet.
 .
 This package is part of the KDE multimedia module.

## libkcddb 24.12.1

=== debian/changelog ===
libkcddb (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 13:59:06 +0000

libkcddb (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:22:18 +0000

libkcddb (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 13:02:21 +0000

libkcddb (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 17:24:27 +0000

libkcddb (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:47:19 +0000

## libkcddb 24.12.3

=== debian/changelog ===
libkcddb (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:49:22 +0000

libkcddb (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 09:54:18 +0000

## libkcddb 25.04.0

=== kcmcddb/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="libkcddb")

add_subdirectory(doc)

kcoreaddons_add_plugin(kcm_cddb INSTALL_NAMESPACE "plasma/kcms/systemsettings_qwidgets")
kcmutils_generate_desktop_file(kcm_cddb)

ki18n_wrap_ui(kcm_cddb cddbconfigwidget.ui)

target_sources(kcm_cddb PRIVATE
    cddbconfigwidget.cpp
    kcmcddb.cpp kcmcddb.h
)

set_source_files_properties(cddbconfigwidget.cpp PROPERTIES OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/ui_cddbconfigwidget.h)

target_link_libraries(kcm_cddb PRIVATE
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::KIOCore
    KF${KF_MAJOR_VERSION}::KIOWidgets
    KF${KF_MAJOR_VERSION}::WidgetsAddons
    KCddb
)

if(QT_MAJOR_VERSION STREQUAL "5")
    target_link_libraries(kcm_cddb PRIVATE KF${KF_MAJOR_VERSION}::ConfigWidgets)
else()
    target_link_libraries(kcm_cddb PRIVATE KF${KF_MAJOR_VERSION}::KCMUtils)
endif()

target_include_directories(kcm_cddb
    PRIVATE ${CMAKE_SOURCE_DIR} # for libkcddb/ prefixed includes of library headers
)

=== debian/changelog ===
libkcddb (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.
  * Remove inactive uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:01:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Pino Toscano <pino@debian.org>,
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -20,7 +19,7 @@
                libkf6widgetsaddons-dev (>= 5.240.0~),
                libmusicbrainz5-dev (>= 5.1.0+git20150707~),
                qt6-base-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/multimedia/libkcddb
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkcddb

## libkcddb 25.04.3

=== debian/changelog ===
libkcddb (4:25.04.3-0ubuntu0~tux1) noble; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Mon, 01 Sep 2025 17:55:14 +0200

## libkcddb 25.07.80

=== debian/changelog ===
libkcddb (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:23:47 +0100

libkcddb (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:54:11 +0100

libkcddb (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:58:47 +0100

libkcddb (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:16:24 +0100

libkcddb (4:25.04.0-0ubuntu2) questing; urgency=medium

  * Mark a symbol optional on amd64 in questing.

 -- Rik Mills <rikmills@kde.org>  Thu, 01 May 2025 07:01:11 +0100

libkcddb (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:01:05 +0100

## libkcddb 25.07.90

=== debian/changelog ===
libkcddb (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:58:45 +0100

## libkcddb 25.08.0

=== debian/changelog ===
libkcddb (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:29:16 +0100
